global:
  prompt_checkTag: 230522-05d2568b
  ftp_tag: "latest"
  # currency
  currency: "EGP"
  # enable  ps_security
  ps_security_enabled: true
  reporting_enabled: true
  # vault URL and param :
  #vault_url: https://vault.progressoft.dev
  vault_url: http://vault:8200
  vault_token: hvs.dAjgyi3V12gHxz2oGgTehSBp
  vault_secret_eng: prompt-check
  
  # DB ADMIN SA pass
  db_username: SA
  db_password: P@ssw0rd
  db_url: jdbc:sqlserver://;serverName=172.17.0.2;databaseName=ecc_db;encrypt=false;sendStringParametersAsUnicode=false
  # testing param
  enable_e2e_test: "false"
  #images_tag: 230328-d69f5f97
  baseDomainForIstio: &Istio progressoft.dev
  baseDomainForIngress: &Ingress ecc-dev-ing.progressoft.cloud 

  istio_enabled: true
  baseDomain: *Istio
  # testing param
  security_client:  "prompt-check-client"
  security_client_secret: "109e98f1-5591-4d9d-bf42-5683ca46d8a3"
  security_realm:  "prompt-check-security"
  security_ui_client:  "prompt-check-ui-client"
  #FTP properties
  ftp_tag: "latest"
  ftp_enabled: true
  #castlemock
  castlemock_url: "https://castlemock.progressoft.cloud/castlemock/api/rest/core/project/rest/import"
  castlemock_username: admin
  castlemock_password: admin
  # Minio 
  minio_url: https://minio.progressoft.cloud
  minio_access_key: minio
  minio_secrt_key: P@ssw0rd


  # images
  image_secret_enc: t4MMvisUTblAORrtnwx_wzYxRlOt40ZAPwsxau_sI4U=
  image_secret_dec: t4MMvisUTblAORrtnwx_wzYxRlOt40ZAPwsxau_sI4U=
  pssecurity_url: ps-security.progressoft.dev
  database:
    dbVendor: "mssql"
    host: "172.17.0.2"
    port: "1433"
    instance: "ecc_db"
    dbDriver: "com.microsoft.sqlserver.jdbc.SQLServerDriver"
    createSchemas: true
prompt-check: 
  core:
    extraEnv:
      CENTRAL_SIMULATOR_URL: https://{{ .Release.Namespace }}-sim.{{ .Values.global.baseDomain }}



##############################
### Services Configuration ###
##############################
ps-security:
  replicas: 1
  dbSecret:
    enabled: true
  database:
    dbSchema: true
    dbVendor: "mssql"
    host: "central-mssql-db.infra-services"
    url: "jdbc:sqlserver://;serverName=172.17.0.2;databaseName=ecc_sec;encrypt=false;sendStringParametersAsUnicode=false"
    port: "1433"
    instance: "ecc_sec"
    dbDriver: "com.microsoft.sqlserver.jdbc.SQLServerDriver"
    createSchemas: true
    password: P@ssw0rd
    username: SA
    existingSecret: ""
    existingSecretKey: ""
  extraEnv:
    JAVA_TOOL_OPTIONS: "-Duser.timezone=Asia/Kuwait"
    REALM_NAME: prompt-check-security
    keycloak.import: "/realm/prompt-check-security.json"
  ingress:
    enabled: false
    host: "ecc-security.{{ .Values.global.baseDomain }}"
  extraVolumes: |
    - name: tz
      hostPath:
        path: "/usr/share/zoneinfo/Asia/Kuwait"
    - name: ps-security-realms
      configMap:
        name: ps-security-realms
        defaultMode: 0777
  extraVolumeMounts: |
    - name: tz
      mountPath: /etc/localtime
    - name: ps-security-realms
      mountPath: /realm/

reporting:
  dbSecret:
    enabled: true
  database:
    username: "ecc_db"
    password: "P@ssw0rd"
    dbSchema: true
    dbVendor: "{{ tpl .Values.global.database.dbVendor . }}"
    host: "{{ tpl .Values.global.database.host . }}"
    url: "{{ tpl .Values.global.db_url . }}"
    port: "{{ tpl .Values.global.database.port . }}"
    instance: "{{ tpl .Values.global.database.instance . }}"
    dbDriver: "{{ tpl .Values.global.database.dbDriver . }}"
    createSchemas: true
    existingSecret: ""
    existingSecretKey: ""
  extraEnv:
    db_username: "{{ tpl .Values.global.db_username . }}"
    db_password: "{{ tpl .Values.global.db_password . }}"
    otel.exporter.otlp.endpoint: http://signoz-otel-collector.signoz:4317
    otel.logs.exporter: otlp
    otel.metrics.exporter: otlp
    otel.resource.attributes: service.name={{ .Release.Namespace }}-{{ .Chart.Name }}
    keycloak.base.url: "{{ tpl .Values.global.pssecurity_url . }}"
    allowed.cors.origins: https://{{ .Release.Name }}.{{ .Values.global.baseDomain }}
    jwt.authorization.enabled: "false"
    # jwt.cert: ""
    db_vendor: "{{ tpl .Values.global.database.dbVendor . }}"
    server.max-http-header-size: "1048576"
    spring.cloud.vault.kv.application-name: "{{.Release.Name}}-{{.Chart.Name}}"
    spring.cloud.vault.application-name: "{{.Release.Name}}-{{.Chart.Name}}"
    spring.cloud.vault.uri: "{{ .Values.global.vault_url }}"
    spring.cloud.vault.kubernetes.role: vault-role
    spring.cloud.vault.authentication: "kubernetes"
    spring.cloud.vault.token: ""
    spring.cloud.vault.fail-fast: "true"
    spring.cloud.vault.enabled: "false"
    spring.cloud.bootstrap.enabled: "false"
  injectEnvFrom: ""
  ingress:
    enabled: false
    host: "{{ .Release.Name }}-reporting.{{ .Values.global.baseDomain }}"